﻿using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SpaceFighterGame
{
    public class Enemy
    {
        #region Fields
        private Texture2D texture;
        private Int32 sizeX;
        private Int32 sizeY;
        private Int32 locX;
        private Int32 locY;
        private Boolean destroyed;
        #endregion

        #region Properties
        public Texture2D Texture
        {
            get { return texture; }
            set { texture = value; }
        }

        public Int32 SizeX
        {
            get { return sizeX; }
            set { sizeX = value; }
        }

        public Int32 SizeY
        {
            get { return sizeY; }
            set { sizeY = value; }
        }

        public Int32 LocX
        {
            get { return locX; }
            set { locX = value; }
        }

        public Int32 LocY
        {
            get { return locY; }
            set { locY = value; }
        }

        public Boolean Destroyed
        {
            get { return destroyed; }
            set { destroyed = value; }
        }
        #endregion

        #region Constructor
        public Enemy(ContentManager Content)
        {
            texture = Content.Load<Texture2D>("enemy");
            sizeX = 44;
            sizeY = 80;
            Random random = new Random();
            locX = random.Next(56, 744);
            locY = 0 - sizeY;
        }
        #endregion

        #region Public methods
        public Rectangle GetLocation()
        {
            return new Rectangle(locX, locY, sizeX, sizeY);
        }

        public void MoveEnemy()
        {
            locY += 1;

            if (locY > 480)
            {
                destroyed = true;
            }
        }
        #endregion
    }
}
