﻿using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SpaceFighterGame
{
    public class Laser
    {
        #region Fields
        private Texture2D texture;
        private Int32 sizeX;
        private Int32 sizeY;
        private Int32 locX;
        private Int32 locY;
        private Boolean reachedScreenBorder;
        #endregion

        #region Properties
        public Texture2D Texture
        {
            get { return texture; }
            set { texture = value; }
        }

        public Int32 SizeX
        {
            get { return sizeX; }
            set { sizeX = value; }
        }

        public Int32 SizeY
        {
            get { return sizeY; }
            set { sizeY = value; }
        }

        public Int32 LocX
        {
            get { return locX; }
            set { locX = value; }
        }

        public Int32 LocY
        {
            get { return locY; }
            set { locY = value; }
        }

        public Boolean ReachedScreenBorder
        {
            get { return reachedScreenBorder; }
            set { reachedScreenBorder = value; }
        }
        #endregion

        #region Constructor
        public Laser(ContentManager Content, Int32 locX, Int32 locY, Boolean enemyLaser = false)
        {
            if (enemyLaser)
                texture = Content.Load<Texture2D>("laser2");
            else
                texture = Content.Load<Texture2D>("laser");
            sizeX = 10;
            sizeY = 53;
            this.locX = locX - 5;
            this.locY = locY;
            reachedScreenBorder = false;
        }
        #endregion

        #region Public methods
        public Rectangle GetLocation()
        {
            return new Rectangle(locX, locY, sizeX, sizeY);
        }

        public void MoveLaser()
        {
            if (locY > 0 - sizeY)
                locY -= 4;
            else
                reachedScreenBorder = true;
        }

        public void MoveEnemyLaser()
        {
            if (locY < 480)
                locY += 4;
            else
                reachedScreenBorder = true;
        }
        #endregion
    }
}
