﻿using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SpaceFighterGame
{
    public class Planet
    {
        #region Fields
        private Texture2D texture;
        private Int32 sizeX;
        private Int32 sizeY;
        private Int32 locX;
        private Int32 locY;
        #endregion

        #region Properties
        public Texture2D Texture
        {
            get { return texture; }
            set { texture = value; }
        }

        public Int32 SizeX
        {
            get { return sizeX; }
            set { sizeX = value; }
        }

        public Int32 SizeY
        {
            get { return sizeY; }
            set { sizeY = value; }
        }

        public Int32 LocX
        {
            get { return locX; }
            set { locX = value; }
        }

        public Int32 LocY
        {
            get { return locY; }
            set { locY = value; }
        }
        #endregion

        #region Constructor
        public Planet(ContentManager Content)
        {
            Random random = new Random();
            texture = Content.Load<Texture2D>("planet");
            sizeX = random.Next(150, 300);
            sizeY = sizeX;
            locX = random.Next(0, 800);
            locY = 0 - sizeY;
        }
        #endregion

        #region Public methods
        public void MovePlanet()
        {
            locY += 2;

            if (locY > 480)
            {
                Random random = new Random();
                sizeX = random.Next(150, 300);
                sizeY = sizeX;
                locX = random.Next(0, 800);
                locY = 0 - sizeY;
            }
        }

        public Rectangle GetLocation()
        {
            return new Rectangle(locX, locY, sizeX, sizeY);
        }
        #endregion
    }
}
